
Foreman - Bug #13444

Empty properties shouldn't be shown when viewing a host

01/28/2016 11:50 AM - Sean O'Keeffe

Status: Closed   

Priority: Normal   

Assignee: Sean O'Keeffe   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3152

  

Description

You can see an example in this gif 

https://camo.githubusercontent.com/dd327f958993d60ecefbe4e1fc26bc45ad63cf9c/687474703a2f2f692e696d6775722e636f6d2f52

7a64735239622e676966

The Domain, Realm, IP address & MAC address are all empty, it would be better to only display the fields that are valid for that host.

Associated revisions

Revision 44505095 - 02/05/2016 04:39 AM - Sean O'Keeffe

Fixes #13444 - Don't show empty properties

History

#1 - 02/03/2016 08:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3152 added

#2 - 02/05/2016 05:01 AM - Sean O'Keeffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 445050954687e5c0cd546e46e9d138805791a164.

#3 - 02/08/2016 04:33 AM - Dominic Cleal

- translation missing: en.field_release set to 71
